package Servlets;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

@WebServlet("/database-test")
public class DatabaseTestServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        try {
            // Essaie de se connecter à la base de données
            Connection connection = DriverManager.getConnection(
                    "jdbc:postgresql://localhost:5432/pizzeria", "gwendalmargelyetu", "moi");

            // Si la connexion est établie, affiche un message de succès
            req.setAttribute("message", "Database test successful.");
        } catch (SQLException e) {
            // Si une exception SQL est levée, affiche un message d'erreur
            req.setAttribute("message", "Database test failed: " + e.getMessage());
        }

        // Renvoie la réponse en utilisant une simple page HTML
        req.getRequestDispatcher("/WEB-INF/result.html").forward(req, resp);
    }

}
